X2Go Bug report logs - #453
X2Go Client HelpDialog: tabs are extremely wide

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Fri, 14 Mar 2014 00:50:02 UTC

Severity: minor

Tags: pending

Found in version 4.0.2.0

Fixed in version 4.0.2.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#453; Package x2goclient. (Fri, 14 Mar 2014 00:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Mar 2014 00:50:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: X2Go Client HelpDialog: tabs are extremely wide
Date: Thu, 13 Mar 2014 20:48:07 -0400
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.2.0
Severity: Minor

Observed in nightly Windows builds.:
http://code.x2go.org/releases/binary-win32/x2goclient/heuler/mingw32-4.4/qt-4.8/

To reproduce:
C:\Program Files (x86)\x2goclient>x2goclient.exe --git-info

Screenshot:
http://imgur.com/dvYrpF5

That huge amount of whitespace at the beginning of some lines is
actually only 1 tab.
I've attached the copied and pasted plaintext from that window which
proves this.

Note that Mike#1 expressed his opinion that the text files from the
git log should have spaces instead of tabs. However, I am writing this
bug because any tabs that do exist should obviously not be so wide.
[x2goclient win32 --git-info whitespace bug.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#453; Package x2goclient. (Fri, 14 Mar 2014 01:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Mar 2014 01:10:01 GMT) (full text, mbox, link).


Message #10 received at 453@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 453-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 453@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 14 Mar 2014 02:06:35 +0100 (CET)
tag #453 pending
fixed #453 4.0.2.0
thanks

Hello,

X2Go issue #453 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=dfaaabc

The issue will most likely be fixed in src:x2goclient (4.0.2.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit dfaaabc9680cc621e4f13e4d9c293664615fe2e4
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Thu Mar 13 21:03:05 2014 -0400

     Decrease HelpDialog tab width from 320 to 30 (the width of 10 spaces.) (Fixes: #453)

diff --git a/debian/changelog b/debian/changelog
index 7d89bd9..30f8182 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -46,6 +46,11 @@ x2goclient (4.0.2.0-0x2go1) UNRELEASED; urgency=low
       %setup.
     + Copy ChangeLog.gitlog (if present) into txt/ subfolder during %setup.
 
+  [ Mike DePaulo ]
+  * New upstream version (4.0.2.0):
+    - Decrease HelpDialog's tab width from 320 to 30
+      (the width of 10 spaces.) (Fixes: #453)
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 22 Jan 2014 09:20:08 +0100
 
 x2goclient (4.0.1.4-0x2go1) UNRELEASED; urgency=low


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 14 Mar 2014 01:10:01 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.2.0. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Fri, 14 Mar 2014 01:10:02 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#453. (Fri, 14 Mar 2014 01:10:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#453; Package x2goclient. (Thu, 10 Apr 2014 11:55:08 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 11:55:08 GMT) (full text, mbox, link).


Message #22 received at 453@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 453-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 453@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 10 Apr 2014 13:52:14 +0200 (CEST)
close #453
thanks

Hello,

we are very hopeful that X2Go issue #453 reported by you
has been resolved in the new release (4.0.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=cbe900f245206ad9bd62d0fbaf226da1b3ffc44e;hp=f7cdada8c57c45ee9ea3b6c42bd680fae26d728c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.0-0x2go1
Status: RELEASE
Date: Thu, 10 Apr 2014 13:47:56 +0200
Fixes: 138 349 422 440 446 448 453
Changes: 
 x2goclient (4.0.2.0-0x2go1) RELEASED; urgency=low
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.2.0):
     - Revrite SSH Classes to support libssh fix.
     - Add Class HelpDialog to show options in scroll area.
     - Fix authentication on SSH Broker with key + passphrase.
     - Set modmap timer timeout to 10 sec on Mac.
     - Fix running xmodmap if X2Go Client not started from terminal.
     - Setting keyboard modifiers with xmodmap.
     - Fix multimonitor support on Linux.
     - Display more version info. Parameters --version, --git, --changelog.
     - Don't show GUI dialog for --version, --help, etc, if started
       from terminal on linux and mac.
     - If no user in session config, display system username in pass form.
     - Check if txt/changelog and txt/git exist on config phase.
       Rename option "--git" to "--git-info".
     - Change x2goclient.nsi for nightly builds.
 .
   [ Josh Lukens ]
   * New upstream version (4.0.2.0):
     - Switch to QNetworkAccessManager. Appropriately set content type
       header to "application/x-www-form-urlencoded" for HTTP post
       requests. (Fixes: #440, #138).
     - Fix copy+paste errors in QNetworkAccessManager code.
     - Provide support for dynamic authentication IDs. This is
       a requirement for using the broker client against brokers
       that use some sort of OTP authentication mechanism.
       (Fixes: #446).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.2.0):
     - Drop create_text.sh again, implement changelog copying
       in distro build files. Implement Git history creation for
       nightly builds in build scripts.
     - Rename txt/git to txt/git-info (make it compliant with cmdline
       options).
     - Allow starting shadow sessions from the command line with
       option --hidden being enabled. (Fixes: #349).
   * debian/control:
     + Build-depend on libssh-dev (>= 0.5.4-2).
     + Bump Standards: to 3.9.5. No changes needed.
   * debian/rules:
     + Copy debian/changelog into txt/ subfolder during dh_auto_configure.
     + Create txt/git-info files for ChangeLog.git if it exists.
   * x2goclient.spec:
     + Copy ChangeLog (or debian/changelog) into txt/ subfolder during
       %setup.
     + Copy ChangeLog.gitlog (if present) into txt/ subfolder during %setup.
     + B-R (epel-7): man2html-core (same as for Fedora builds).
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.2.0):
     - Decrease HelpDialog's tab width from 320 to 30
       (the width of 10 spaces.) (Fixes: #453)
     - Windows: Fix compatibility with PulseAudio 3.0 & later through
       new cookie handling. (Fixes: #422)
     - Windows: Upgrade included PulseAudio from 1.1 to 5.0.
       The 5.0 build is patched for X2Go bug #363. and available here:
         https://build.opensuse.org/project/show/home:mikedep333:branches:home:\
         mkbosmans:mingw32:pulseaudio
     - Windows: Reapply KDE on Windows's patch for Pageant support to
       libssh 0.5.5. (Fixes: #448)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 10 Apr 2014 11:55:09 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Thu, 10 Apr 2014 11:55:09 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#453. (Thu, 10 Apr 2014 11:55:15 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 09 May 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Aug 21 18:08:34 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.